Page MenuHomePhabricator

Certain gadgets not compatible with Flow
Open, HighPublic

Description

Originally reported at https://phabricator.wikimedia.org/T111494#1607900 (T111494):

Rical:

I have this bug for 2 or 3 days.
In Firebug, below the content div, I see <div class="flow-ui-load-overlay"></div> with the attribute width:100%; If I modify to width:50%; I can clic and use the right part of the content. This class come from WM server. This could help to locate the bug, but why in my case and not in others?
Firefox 40.0.3 is alone to weird in my pet Ubuntu 14.04 LTS updated each day.
in Win8 Chrome, Opera and FF are OK; in MacOSX : FF, Safari and Chromium are OK; in Ubuntu Opera is OK.

If I understand https://www.mediawiki.org/wiki/Project_talk:Current_issues right, this happens at https://www.mediawiki.org/wiki/Project:Current_issues .

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 6 2015, 2:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Rical added a comment.EditedSep 6 2015, 5:28 PM

In my case, in the last Firefox 40.0.3 in Ubuntu 14.04 LTS updated each day, the content is masked by a light vail when I clic on my following email that open https://www.mediawiki.org/w/index.php?title=Project:Current_issues&topiclist_sortby=newest&fromnotif=1
or from here when I clic to open https://www.mediawiki.org/wiki/Project:Current_issues

Elitre added a subscriber: Elitre.Sep 7 2015, 2:23 PM
Rical added a comment.Sep 22 2015, 2:14 PM

A new case about the Gadget-oldeditor.js https://www.mediawiki.org/w/index.php?title=Topic:Spdy7ipje59svni8&action=history
You could also look at my vector.js and https://www.mediawiki.org/wiki/User:Rical/commons.js
where I try to reduce the vail but continue to see it's activity, but don't find how.

Elitre added a subscriber: Cpiral.Sep 23 2015, 12:09 PM

@Cpiral seems to be reporting that the same issue for him went away when resetting prefs to default.

Catrope added subscribers: DannyH, Matanya.
Catrope added a subscriber: Catrope.

Has anyone been able to reproduce this while logged-out? I strongly suspect this is due to a broken gadget or broken site scripts.

Also, has anyone seen any JS errors in their browser console while this happens?

Catrope triaged this task as High priority.Sep 23 2015, 11:12 PM
Rical added a comment.EditedSep 24 2015, 7:03 PM

For me the bug is the same when I logout, update the cache and restart Firefox, on old messages.

But after re-login and on a new message, the vail is in OK state " display: none; " not visible and not blocking mouse clics.

But after a simple re-load of the page, the vail of bug re-appears and bloc the mouse clics.

Another report (via IRC from @tarlocesilion) of this happening at https://pl.wikipedia.org/wiki/Pomoc:Pytania_nowicjuszy
I can reproduce it there, with a fresh account, if I enable the local gadget "Odpowiedzi z linkami" (which outputs a lot of webconsole deprecation warnings, and a TypeError - http://i.imgur.com/uTni1Ky.png)

I can also reproduce it with my main account, at any Flow page, if my global.js contains any scripts which outputs TypeErrors, but only if I use ?debug=1 - e.g. https://pl.wikipedia.org/wiki/Pomoc:Pytania_nowicjuszy?debug=1 or https://www.mediawiki.org/wiki/Talk:Sandbox?debug=1 etc
(My currently used scripts which give TypeErrors are:

Cpiral added a comment.EditedSep 28 2015, 2:45 AM

@Cpiral seems to be reporting that the same issue for him went away when resetting prefs to default.

After resetting preferences to default fixed it, choosing to "remove visualEditor from the user interface" from Editing Gadgets, made it happen again.

This comment was removed by Cpiral.
Mattflaschen-WMF renamed this task from Flow overlay not going away to Certain gadgets not compatible with Flow.Sep 28 2015, 5:00 PM

@Cpiral seems to be reporting that the same issue for him went away when resetting prefs to default.

After resetting preferences to default fixed it, choosing to "remove visualEditor from the user interface" from Editing Gadgets, made it happen again.

I've asked for input on that gadget, at https://www.mediawiki.org/wiki/MediaWiki_talk:Gadget-oldeditor.js

Rical removed a subscriber: Rical.Jul 21 2017, 9:39 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 8 2018, 4:27 AM

@Dalba, what is that gadget for?

Dalba added a comment.Oct 8 2018, 4:30 PM

@Dalba, what is that gadget for?

Yeah, I started suspecting that this is a gadget issue, but after testing on a different account with all gadgets disabled, I could still reproduce it. So this is most likely unrelated to gadgets, sorry for being off topic.

(BTW, I think the issue is actually related to mw.config.get( 'wgPageName' ) returning null on that page, which I'm still unable to find out why.)

Can you create a separate ticket, please?

(BTW, I think the issue is actually related to mw.config.get( 'wgPageName' ) returning null on that page, which I'm still unable to find out why.)

It's no longer returning null on that page for me; is the gadget breakage still happening?

Dalba added a comment.Feb 6 2019, 11:04 AM

It's no longer returning null on that page for me; is the gadget breakage still happening?

That turned out to be another issue and was resolved in T206475.